edu.sc.seis.sod.status

## Class StationFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.StationFormatter

- All Implemented Interfaces:
    StationTemplate
  Direct Known Subclasses:
    EventStationFormatter

      public class StationFormatter
      extends Template
      implements StationTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationFormatter()`
    `StationFormatter(org.w3c.dom.Element el)`
    `StationFormatter(org.w3c.dom.Element el, StationGroupTemplate sgt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Station station)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `static StationFormatter` | `makeNetAndCode()`
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StationFormatter

          public StationFormatter()

    - #### StationFormatter

          public StationFormatter(org.w3c.dom.Element el)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### StationFormatter

          public StationFormatter(org.w3c.dom.Element el,
                                  StationGroupTemplate sgt)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### makeNetAndCode

          public static StationFormatter makeNetAndCode()

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Station station)

      Specified by:
        `getResult` in interface `StationTemplate`

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `Template`